org.eclipse.incquery.runtime.api

## Class PackageBasedPatternGroup

- java.lang.Object
- - org.eclipse.incquery.runtime.api.impl.BasePatternGroup
  - - org.eclipse.incquery.runtime.api.PackageBasedPatternGroup

- All Implemented Interfaces:
    IQueryGroup

      public class PackageBasedPatternGroup
      extends BasePatternGroup

  Package based `BasePatternGroup` implementation. It handles patterns as a group within the same package.
  Author:
    Abel Hegedus, Mark Czotter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PackageBasedPatternGroup(java.lang.String packageName)`
    `PackageBasedPatternGroup(java.lang.String packageName, boolean includeSubPackages)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPackageName()`
    `java.util.Set<IQuerySpecification<?>>` | `getQuerySpecifications()`
    `java.util.Set<IQuerySpecification<?>>` | `getSpecifications()` Returns the currently assigned `IQuerySpecification`s.
    `boolean` | `isIncludeSubPackages()`
    `void` | `refresh()` Refreshes the pattern group from the matcher registry based on the parameters used during the initialization

    - ### Methods inherited from class org.eclipse.incquery.runtime.api.impl.BasePatternGroup

      `prepare, prepare`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PackageBasedPatternGroup

          public PackageBasedPatternGroup(java.lang.String packageName)

    - #### PackageBasedPatternGroup

          public PackageBasedPatternGroup(java.lang.String packageName,
                                          boolean includeSubPackages)

  - ### Method Detail

    - #### getSpecifications

          public java.util.Set<IQuerySpecification<?>> getSpecifications()

      Description copied from interface: `IQueryGroup`
      Returns the currently assigned `IQuerySpecification`s.

    - #### getPackageName

          public java.lang.String getPackageName()

      Returns:
        the packageName

    - #### getQuerySpecifications

          public java.util.Set<IQuerySpecification<?>> getQuerySpecifications()

      Returns:
        the querySpecifications

    - #### isIncludeSubPackages

          public boolean isIncludeSubPackages()

      Returns:
        the includeSubPackages

    - #### refresh

          public void refresh()

      Refreshes the pattern group from the matcher registry based on the parameters used during the initialization